// BarChartView.h : interface of the CBarChartView class
//
/////////////////////////////////////////////////////////////////////////////

class CBarChartView : public CView
{
protected: // create from serialization only
	CBarChartView();
	DECLARE_DYNCREATE(CBarChartView)

// Attributes
public:
	CBarChartDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBarChartView)

    protected:
	virtual void OnDraw(CDC* pDC);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBarChartView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CBarChartView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

    void OnSize(UINT nType, int cx, int cy);
    void OnInput(void);

    int m_cxClient;
    int m_cyClient;
};

#ifndef _DEBUG  // debug version in BarChartView.cpp
inline CBarChartDoc* CBarChartView::GetDocument()
   { return (CBarChartDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
