// BarDataDialog.cpp : implementation file
//

#include "stdafx.h"
#include "BarChart.h"
#include "BarDataDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBarDataDialog dialog


CBarDataDialog::CBarDataDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CBarDataDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CBarDataDialog)
	m_TString = _T("Bar Chart Title");
	m_XString = _T("x-axis label");
	m_YString = _T("y-axis label");
	m_GHValues = _T("30, 20, 25, 35");
    m_GLValues = _T("#1, #2, #3, #4");
	//}}AFX_DATA_INIT
}

void CBarDataDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CBarDataDialog)
	DDX_Text(pDX, IDD_TITLE, m_TString);
	DDX_Text(pDX, IDD_XLABEL, m_XString);
	DDX_Text(pDX, IDD_YLABEL, m_YString);
	DDX_Text(pDX, IDD_P, m_GHValues);
	DDX_Text(pDX, IDD_L, m_GLValues);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CBarDataDialog, CDialog)
	//{{AFX_MSG_MAP(CBarDataDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBarDataDialog message handlers

void CBarDataDialog::OnOK() 
{
		CDialog::OnOK();
}
