// FourierView.h : interface of the CFourierView class
//
/////////////////////////////////////////////////////////////////////////////

#pragma once


class CFourierView : public CView
{
protected: // create from serialization only
	CFourierView();
	DECLARE_DYNCREATE(CFourierView)

// Attributes
public:
	CFourierDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// Implementation
public:
	virtual ~CFourierView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
private:
    
protected:
    void OnSize(UINT nType, int cx, int cy);
    void OnFourier(void);

    int m_cxClient;
    int m_cyClient;
};

#ifndef _DEBUG  // debug version in FourierView.cpp
inline CFourierDoc* CFourierView::GetDocument() const
   { return (CFourierDoc*)m_pDocument; }
#endif

